cascading.management.state

## Class BaseState

- java.lang.Object
- - cascading.management.state.BaseState

All Implemented Interfaces:
  CascadingService

Direct Known Subclasses:
  ClientState

    public abstract class BaseState
    extends java.lang.Object
    implements CascadingService

### Constructor Summary

Constructors
Constructor and Description
`BaseState()`

### Method Summary

Methods
`java.lang.String` `getID()`
`void` `initialize(CascadingServices cascadingServices, java.lang.String id)`
`boolean` `isEnabled()` Returns true if this service has been enabled.
`protected void` `setMetric(java.lang.Enum metric, long value)`
`protected void` `setMetric(java.lang.String group, java.lang.String metric, long value)`
`protected void` `setMetric(java.lang.String group, java.lang.String metric, java.lang.String value)`
`void` `setProperties(java.util.Map<java.lang.Object,java.lang.Object> properties)`
`void` `startService()` May be called more than once.
`void` `stopService()` May be called more than once, but only the first invocation will stop the service.
`protected void` `store(java.lang.String id, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseState

    public BaseState()

### Method Detail

#### isEnabled

    public boolean isEnabled()

Description copied from interface: `CascadingService`
Returns true if this service has been enabled.

Specified by:
  `isEnabled` in interface `CascadingService`
Returns:
  boolean

#### setProperties

    public void setProperties(java.util.Map<java.lang.Object,java.lang.Object> properties)

Specified by:
  `setProperties` in interface `CascadingService`

#### initialize

    public void initialize(CascadingServices cascadingServices,
                  java.lang.String id)

#### startService

    public void startService()

May be called more than once. Each internal service should be idempotent.

Specified by:
  `startService` in interface `CascadingService`

#### stopService

    public void stopService()

Description copied from interface: `CascadingService`
May be called more than once, but only the first invocation will stop the service.

Specified by:
  `stopService` in interface `CascadingService`

#### getID

    public java.lang.String getID()

#### store

    protected void store(java.lang.String id,
             java.lang.Object value)

#### setMetric

    protected void setMetric(java.lang.Enum metric,
                 long value)

#### setMetric

    protected void setMetric(java.lang.String group,
                 java.lang.String metric,
                 long value)

#### setMetric

    protected void setMetric(java.lang.String group,
                 java.lang.String metric,
                 java.lang.String value)